Bug 1143767 - Few texlive modules pull in /usr/bin/python on runtime
Few texlive modules pull in /usr/bin/python on runtime
Status: RESOLVED UPSTREAM
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Dr. Werner Fink
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-01 07:47 UTC by Tomáš Chvátal
Modified: 2020-05-06 08:06 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomáš Chvátal 2019-08-01 07:47:25 UTC
As per summary the packages pull in /usr/bin/python probably because there are some scripts that have the #!/usr/bin/python shebangs.

As /usr/bin/python will be no more from Jan 2020 it would be great if the scripts (if compatible with py3) would rather use the python3 shebang.

texlive-pdfbook2-2019.163.1.2svn37537-38.1.noarch
texlive-de-macro-2019.163.1.3svn26355-39.1.noarch
texlive-texliveonfly-2019.163.svn26313-40.1.noarch
texlive-asymptote-2019.163.2.49svn50885-40.1.noarch
texlive-pythontex-2019.163.0.0.16svn44860-39.1.noarch

Note I didn't check the full texlive install, just what I have on my pc using:

rpm -q --whatrequires  /usr/bin/python
Comment 1 Dr. Werner Fink 2019-08-15 10:36:10 UTC
Hmmm it python2 becomes dropped why is the /usr/bin/pythin not a link to /usr/bin/python3 ?    Also I'll not fix broken python scripts
Comment 2 Tomáš Chvátal 2019-08-15 10:47:39 UTC
(In reply to Dr. Werner Fink from comment #1)
> Hmmm it python2 becomes dropped why is the /usr/bin/pythin not a link to
> /usr/bin/python3 ?    Also I'll not fix broken python scripts

/usr/bin/python was set in the past to always point to python2 but last month there was an update to the pep leaving it up for the distributors...

https://www.python.org/dev/peps/pep-0394/

https://github.com/python/peps/pull/989/files

I wonder what we should do with the above...
Comment 3 Dr. Werner Fink 2020-05-06 08:06:47 UTC
As ong as there are pythin2 scripts in texlive packages there is no solution as I will not rewite those python scripts